Skip to main content
GET
List all contacts

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

type
enum<string>
Available options:
individual,
company
createdAfter
string<date-time> | null
createdBefore
string<date-time> | null
updatedAfter
string<date-time> | null
updatedBefore
string<date-time> | null
totalContributionsMin
number | null
totalContributionsMax
number | null
recurringContributionsMin
number | null
recurringContributionsMax
number | null
tags
string | null
sortBy
enum<string> | null
Available options:
name_or_company,
primary_email,
point_of_contact,
created_at,
total_contributions,
recurring_contributions,
last_donation_amount
sortByDesc
enum<string> | null
Available options:
name_or_company,
primary_email,
point_of_contact,
created_at,
total_contributions,
recurring_contributions,
last_donation_amount
email
string | null
primaryEmail
string | null
firstName
string | null
Maximum string length: 1000
lastName
string | null
Maximum string length: 1000

Response

Paginated set of ContactResource

data
ContactResource · object[]
required
meta
object
required